# Imagick::newPseudoImage

(PECL imagick 2.0.0)

Imagick::newPseudoImage — Creates a new image

### Description

Imagick::newPseudoImage ( int `$columns` , int `$rows` , string `$pseudoString` ) : bool

Creates a new image using ImageMagick pseudo-formats.

### Parameters

`columns`

  columns in the new image

`rows`

  rows in the new image

`pseudoString`

  string containing pseudo image definition.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::newPseudoImage()

`<?php
function newPseudoImage($canvasType) {
$imagick = new \Imagick();
$imagick->newPseudoImage(300, 300, $canvasType);
$imagick->setImageFormat("png");
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
//newPseudoImage('gradient:red-rgba(64, 255, 255, 0.5)');
//newPseudoImage("radial-gradient:red-blue");
newPseudoImage("plasma:fractal");
?>`